org.eclipse.emf.compare.ide.ui.internal.handler

## Class AbstractCompareHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.emf.compare.ide.ui.internal.handler.AbstractCompareHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  CompareInDialog, CompareInNewEditor

    public abstract class AbstractCompareHandler
    extends org.eclipse.core.commands.AbstractHandler

### Constructor Summary

Constructors
Constructor and Description
`AbstractCompareHandler()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static org.eclipse.compare.CompareEditorInput` `createCompareEditorInput(org.eclipse.ui.IWorkbenchPart part, AdapterFactory adapterFactory, Notifier left, Notifier right, Notifier origin)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`execute`

### Constructor Detail

#### AbstractCompareHandler

    public AbstractCompareHandler()

### Method Detail

#### createCompareEditorInput

    protected static org.eclipse.compare.CompareEditorInput createCompareEditorInput(org.eclipse.ui.IWorkbenchPart part,
                                                                                     AdapterFactory adapterFactory,
                                                                                     Notifier left,
                                                                                     Notifier right,
                                                                                     Notifier origin)